/**
 * <p>
 * Represents an abstract Element, typicaly implemented by
 * <code>ASTElement</code> to clean up its interface and remove all the
 * parsing related functions
 * </P>
 * 
 * @author Team NAH
 */
public interface Element {
	/**
	 * @return the symbol read e.g. <code>C</code>
	 */
	public String getSymbol();

	/**
	 * @return the name e.g. <code>Carbon</code>
	 */
	public String getName();

	/**
	 * @return the atomic number
	 */
	public int getAtomicNumber();

	/**
	 * @return a referance to this elements IsotopeList
	 */
	public IsotopeList getIsotopes();

}
